diff -r 6649d4433266 auto/os/conf
--- a/auto/os/conf	Wed Jul 18 18:51:25 2018 +0300
+++ b/auto/os/conf	Sat Jul 21 21:24:26 2018 +0100
@@ -27,6 +27,15 @@
         . auto/os/win32
     ;;
 
+    OpenBSD:*)
+        have=NGX_OPENBSD . auto/have_headers
+        CORE_INCS="$UNIX_INCS"
+        CORE_DEPS="$UNIX_DEPS $POSIX_DEPS"
+        CORE_SRCS="$UNIX_SRCS"
+
+        NGX_RPATH=YES
+    ;;
+
     DragonFly:*)
         have=NGX_FREEBSD . auto/have_headers
         CORE_INCS="$UNIX_INCS"
diff -r 6649d4433266 src/os/unix/ngx_thread.h
--- a/src/os/unix/ngx_thread.h	Wed Jul 18 18:51:25 2018 +0300
+++ b/src/os/unix/ngx_thread.h	Sat Jul 21 21:24:26 2018 +0100
@@ -44,6 +44,11 @@
 typedef uint32_t   ngx_tid_t;
 #define NGX_TID_T_FMT         "%uD"
 
+#elif (NGX_OPENBSD)
+
+typedef int64_t    ngx_tid_t;
+#define NGX_TID_T_FMT         "%lD"
+
 #elif (NGX_DARWIN)
 
 typedef uint64_t   ngx_tid_t;
diff -r 6649d4433266 src/os/unix/ngx_thread_id.c
--- a/src/os/unix/ngx_thread_id.c	Wed Jul 18 18:51:25 2018 +0300
+++ b/src/os/unix/ngx_thread_id.c	Sat Jul 21 21:24:26 2018 +0100
@@ -33,6 +33,14 @@
     return pthread_getthreadid_np();
 }
 
+#elif (NGX_OPENBSD)
+
+ngx_tid_t
+ngx_thread_tid(void)
+{
+    return getthrid();
+}
+
 #elif (NGX_DARWIN)
 
 /*
